[Git][reproducible-builds/diffoscope][master] debian/tests/basic-command-line: Move from deprecated ADTTMP to AUTOPKGTEST_TMP.

Chris Lamb gitlab at salsa.debian.org
Mon Oct 28 11:29:52 UTC 2019



Chris Lamb pushed to branch master at Reproducible Builds / diffoscope


Commits:
f06c44f4 by Chris Lamb at 2019-10-28T11:29:29Z
debian/tests/basic-command-line: Move from deprecated ADTTMP to AUTOPKGTEST_TMP.

- - - - -


1 changed file:

- debian/tests/basic-command-line


Changes:

=====================================
debian/tests/basic-command-line
=====================================
@@ -5,31 +5,31 @@
 # to have diffoscope able to output stuff in utf-8
 export LC_ALL=C.UTF-8
 
-if ! [ -d "$ADTTMP" ]; then
-	ADTTMP=`mktemp -d`
+if ! [ -d "$AUTOPKGTEST_TMP" ]; then
+	AUTOPKGTEST_TMP=`mktemp -d`
 	TEMP=true
 fi
 
-echo "a" > $ADTTMP/a
-echo "a" > $ADTTMP/a_
-echo "b" > $ADTTMP/b
+echo "a" > $AUTOPKGTEST_TMP/a
+echo "a" > $AUTOPKGTEST_TMP/a_
+echo "b" > $AUTOPKGTEST_TMP/b
 
 echo "Testing identical files..."
-diffoscope $ADTTMP/a $ADTTMP/a_
+diffoscope $AUTOPKGTEST_TMP/a $AUTOPKGTEST_TMP/a_
 if [ $? -ne 0 ]; then
 	echo "Exit code was different from 0 when comparing files with identical content." >&2
 	exit 1
 fi
 
 echo "Testing different files..."
-diffoscope $ADTTMP/a $ADTTMP/b
+diffoscope $AUTOPKGTEST_TMP/a $AUTOPKGTEST_TMP/b
 if [ $? -ne 1 ]; then
 	echo "Exit code was different from 1 when comparing files with different content." >&2
 	exit 1
 fi
 
 echo "Testing LC_ALL=C works..."
-LC_ALL=C diffoscope --debug $ADTTMP/a $ADTTMP/a_ 2>/dev/null
+LC_ALL=C diffoscope --debug $AUTOPKGTEST_TMP/a $AUTOPKGTEST_TMP/a_ 2>/dev/null
 if [ $? -ne 0 ]; then
 	echo "diffoscope could not handle LC_ALL=C; make sure you're not unconditionally outputting non-ascii chars anywhere." >&2
 	exit 1
@@ -50,7 +50,7 @@ if [ $? -ne 2 ]; then
 fi
 
 if [ -n "${TEMP:-}" ]; then
-	rm -rf "$ADTTMP"
+	rm -rf "$AUTOPKGTEST_TMP"
 fi
 
 echo "All good!"



View it on GitLab: https://salsa.debian.org/reproducible-builds/diffoscope/commit/f06c44f4c2ccbed39e368ae447b242e24837a4b7

-- 
View it on GitLab: https://salsa.debian.org/reproducible-builds/diffoscope/commit/f06c44f4c2ccbed39e368ae447b242e24837a4b7
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.reproducible-builds.org/pipermail/rb-commits/attachments/20191028/e7529a40/attachment.htm>


More information about the rb-commits mailing list